<?php
class cCliente{
	
	function insertar($tip,$nom,$doc,$con,$tel,$ema,$pas,$blo){
		$sql = "INSERT tb_cliente(
		`tb_cliente_tip` ,
		`tb_cliente_nom` ,
		`tb_cliente_doc` ,
		`tb_cliente_con` ,
		`tb_cliente_tel` ,
		`tb_cliente_ema`,
		`tb_cliente_pas`,
		`tb_cliente_blo`
		)
		VALUES (
		'$tip',  '$nom',  '$doc', '$con',  '$tel', '$ema','$pas','$blo'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function insertardireccionsunat($tip,$dir,$cliid){
		$sql = "INSERT tb_clientedireccion(
		`tb_clientedireccion_tip` ,
		`tb_clientedireccion_nom` ,
		`tb_cliente_id`
		)
		VALUES (
		'$tip', '$dir','$cliid'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	

	function insertarvehiculo($pla,$mod,$mot,$caj,$cliid){
		$sql = "INSERT tb_clientevehiculo(
		`tb_clientevehiculo_pla` ,
		`tb_clientevehiculo_mod` ,
		`tb_clientevehiculo_mot` ,
		`tb_clientevehiculo_caj` ,
		`tb_cliente_id`
		)
		VALUES (
		'$pla','$mod','$mot','$caj','$cliid' ) "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	

	function editardireccionsunat($dir,$clidirid){
		$sql = "update tb_clientedireccion set 
		`tb_clientedireccion_nom` = '$dir'
		where tb_clientedireccion_id = '$clidirid' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}


	function editarvehiculo($pla,$mod,$mot,$caj,$cliid){
		$sql = "update tb_clientevehiculo set 
		`tb_clientevehiculo_pla` = '$pla',
		`tb_clientevehiculo_mod` = '$mod',
		`tb_clientevehiculo_mot` = '$mot',
		`tb_clientevehiculo_caj` = '$caj'
		where tb_clientevehiculo_id = '$cliid' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function filtrardirecciones($cliid,$tip){
		$sql = "select * from tb_clientedireccion where tb_clientedireccion_xac = 1 and tb_cliente_id = '$cliid' "; 
		if($tip>0) $sql.="and tb_clientedireccion_tip = '$tip' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function filtrarvehiculos($cliid){
		$sql = "select * from tb_clientevehiculo where tb_clientevehiculo_xac = 1 and tb_cliente_id = '$cliid' "; 
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function filtrardireccionSunatUno($cliid){
		$sql = "select * from tb_clientedireccion where tb_clientedireccion_xac = 1 and tb_clientedireccion_tip = '1' and tb_cliente_id = '$cliid' "; 
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function filtrardirecciones_uno($clidirid){
		$sql = "select * from tb_clientedireccion where tb_clientedireccion_xac = 1 and tb_clientedireccion_id = '$clidirid' "; 
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function filtrarvehiculo_uno($clivehiid){
		$sql = "select * from tb_clientevehiculo where tb_clientevehiculo_xac = 1 and tb_clientevehiculo_id = '$clivehiid' "; 
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function ultimoInsert(){
		$sql = "SELECT max(tb_cliente_id) as 'id' from tb_cliente"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
		
	}

	function filtrar($cli_id){
		$sql="SELECT * 
		FROM tb_cliente	
		WHERE tb_cliente_xac='1' ";
		if($cli_id>0)$sql.=" AND tb_cliente_id= '$cli_id' ";

		$sql.=" ORDER BY tb_cliente_nom limit 50";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql="SELECT * 
		FROM tb_cliente 
		WHERE tb_cliente_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function buscarUno($id){
		$sql="SELECT * FROM tb_cliente WHERE tb_cliente_id=$id  and tb_cliente_xac='1'";
		$oCado = new Cado();
		$rst = $oCado->ejecute_sql($sql);
		return mysqli_fetch_assoc($rst);
	}
	function modificar($id,$tip,$nom,$doc,$con,$tel,$ema){
		$sql = "UPDATE tb_cliente SET  
				`tb_cliente_tip` =  '$tip',
				`tb_cliente_nom` =  '$nom',
				`tb_cliente_doc` =  '$doc',
				`tb_cliente_con` =  '$con',
				`tb_cliente_tel` =  '$tel',
				`tb_cliente_ema` =  '$ema'
			WHERE tb_cliente_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function verifica_cliente_doc($doc,$cli_id){
		$sql="SELECT * 
		FROM tb_cliente 
		WHERE tb_cliente_doc LIKE '$doc' and tb_cliente_xac='1' ";
		if($cli_id>0)$sql.= " AND tb_cliente_id <> $cli_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}	
	
	function verifica_cliente_nom($nom,$doc){
		$sql="SELECT * FROM tb_cliente WHERE tb_cliente_nom = '$nom' and  tb_cliente_doc  = '$doc' and tb_cliente_xac='1' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function complete_nom($dato){
		$sql="SELECT * FROM tb_cliente WHERE tb_cliente_xac = '1' and tb_cliente_nom LIKE '%$dato%' OR tb_cliente_doc LIKE '%$dato%'
			LIMIT 0,12
		";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}

	function mostrar_ventas_por_cliente($fec1,$fec2,$cli_id){		
		$sql="SELECT * 
		FROM tb_venta v
		INNER JOIN tb_cliente c ON v.tb_cliente_id=c.tb_cliente_id
		INNER JOIN tb_documento d ON v.tb_documento_id=d.tb_documento_id
		INNER JOIN tb_usuario u ON v.tb_usuario_id=u.tb_usuario_id
		INNER JOIN tb_puntoventa pv ON v.tb_puntoventa_id=pv.tb_puntoventa_id
		WHERE tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";		
		if($cli_id>0)$sql.=" AND v.tb_cliente_id = ".$cli_id;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_cliente SET
		`tb_cliente_$campo` =  '$valor' 
		WHERE tb_cliente_id =$id;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar_campodir($id,$campo,$valor){
		$sql = "UPDATE tb_clientedireccion SET
		`tb_clientedireccion_$campo` =  '$valor' 
		WHERE tb_clientedireccion_id = '$id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function modificar_campovehi($id,$campo,$valor){
		$sql = "UPDATE tb_clientevehiculo SET
		`tb_clientevehiculo_$campo` =  '$valor' 
		WHERE tb_clientevehiculo_id = '$id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	
	}
?>